diff --git a/src/main/java/net/minecraft/core/net/PropertyManager.java b/src/main/java/net/minecraft/core/net/PropertyManager.java
index 891935365..6d9908328 100644
--- a/src/main/java/net/minecraft/core/net/PropertyManager.java
+++ b/src/main/java/net/minecraft/core/net/PropertyManager.java
@@ -7,7 +7,6 @@ import org.slf4j.Logger;
 import java.io.*;
 import java.nio.file.Files;
 import java.util.Properties;
-import java.util.logging.Level;
 
 
 public class PropertyManager
diff --git a/src/main/java/net/minecraft/core/net/ServerCommandEntry.java b/src/main/java/net/minecraft/core/net/ServerCommandEntry.java
index f82f4f246..9ff3a2dd3 100644
--- a/src/main/java/net/minecraft/core/net/ServerCommandEntry.java
+++ b/src/main/java/net/minecraft/core/net/ServerCommandEntry.java
@@ -1,8 +1,5 @@
 package net.minecraft.core.net;
 
-
-// Referenced classes of package net.minecraft.src:
-//            ICommandListener
 public class ServerCommandEntry
 {
 
diff --git a/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeEntitySummon.java b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeEntitySummon.java
index 76aa1e92b..ceb3e209f 100644
--- a/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeEntitySummon.java
+++ b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeEntitySummon.java
@@ -9,14 +9,17 @@ import com.mojang.brigadier.suggestion.SuggestionsBuilder;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.EntityDispatcher;
 import net.minecraft.core.lang.I18n;
+import net.minecraft.core.net.command.util.CommandHelper;
+import net.minecraft.core.util.collection.NamespaceID;
 
 import java.util.Arrays;
 import java.util.Collection;
 import java.util.List;
+import java.util.Locale;
 import java.util.concurrent.CompletableFuture;
 
 public class ArgumentTypeEntitySummon implements ArgumentType<Class<? extends Entity>> {
-    private static final List<String> EXAMPLES = Arrays.asList("Creeper", "Skeleton", "Slime");
+    private static final List<String> EXAMPLES = Arrays.asList("minecraft:creeper", "skeleton", "minecraft:slime");
 
     public static ArgumentType<Class<? extends Entity>> entity() {
         return new ArgumentTypeEntitySummon();
@@ -24,11 +27,19 @@ public class ArgumentTypeEntitySummon implements ArgumentType<Class<? extends En
 
     @Override
     public Class<? extends Entity> parse(StringReader reader) throws CommandSyntaxException {
-        final String string = reader.readString();
+        StringBuilder builder = new StringBuilder();
+        while (reader.canRead()) {
+            char peak = reader.peek();
+            if (peak == '[' || peak == '{' || peak == ' ') {
+                break;
+            }
+            builder.append(reader.read());
+        }
+        String string = builder.toString();
 
-        for (String entityName : EntityDispatcher.keyToClassMap.keySet()) {
-            if (entityName.equals(string)) {
-                return EntityDispatcher.keyToClassMap.get(entityName);
+        for (NamespaceID entityId : EntityDispatcher.idToClassMap.keySet()) {
+            if (CommandHelper.matchesNamespaceId(entityId, string)) {
+                return EntityDispatcher.classForId(entityId);
             }
         }
         throw new CommandSyntaxException(CommandSyntaxException.BUILT_IN_EXCEPTIONS.dispatcherUnknownArgument(), () -> I18n.getInstance().translateKey("command.argument_types.entity_summon.invalid_entity"));
@@ -36,10 +47,9 @@ public class ArgumentTypeEntitySummon implements ArgumentType<Class<? extends En
 
     @Override
     public <S> CompletableFuture<Suggestions> listSuggestions(CommandContext<S> context, SuggestionsBuilder builder) {
-        for (String entityName : EntityDispatcher.keyToClassMap.keySet()) {
-            if (entityName.toLowerCase().startsWith(builder.getRemainingLowerCase())) {
-                builder.suggest(entityName);
-            }
+        String remaining = builder.getRemaining().toLowerCase(Locale.ROOT);
+        for (NamespaceID entityId : EntityDispatcher.idToClassMap.keySet()) {
+            CommandHelper.getStringToSuggest(entityId.toString().toLowerCase(Locale.ROOT), remaining).ifPresent(builder::suggest);
         }
         return builder.buildFuture();
     }
diff --git a/src/main/java/net/minecraft/core/net/command/commands/CommandMobSpawning.java b/src/main/java/net/minecraft/core/net/command/commands/CommandMobSpawning.java
index d13ac478a..bed9bfc2b 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/CommandMobSpawning.java
+++ b/src/main/java/net/minecraft/core/net/command/commands/CommandMobSpawning.java
@@ -11,6 +11,7 @@ import net.minecraft.core.entity.EntityDispatcher;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.CommandSource;
 import net.minecraft.core.net.command.arguments.ArgumentTypeEntitySummon;
+import net.minecraft.core.util.collection.NamespaceID;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.config.spawning.SpawnerConfig;
 
@@ -26,11 +27,11 @@ public class CommandMobSpawning {
                 LiteralArgumentBuilder.<CommandSource>literal("mobspawning")
                     .requires(CommandSource::hasAdmin)
                     .then(LiteralArgumentBuilder.<CommandSource>literal("list").executes(c -> {
-                        Collection<String> ids = EntityDispatcher.classToKeyMap.values();
+                        Collection<NamespaceID> ids = EntityDispatcher.idToClassMap.keySet();
                         World world = c.getSource().getWorld();
                         SpawnerConfig config = world.getSpawnerConfig();
-                        for (String s : ids) {
-                            c.getSource().sendMessage(String.format("%s : %s", s, config.canMobSpawn(s)));
+                        for (NamespaceID s : ids) {
+                            c.getSource().sendMessage(String.format("%s : %s", s.toString(), config.canMobSpawn(s)));
                         }
                         c.getSource().sendMessage("Passive Spawning : " + config.canPassiveSpawn(world));
                         c.getSource().sendMessage("Hostile Spawning : " + config.canHostileSpawn(world));
@@ -44,7 +45,7 @@ public class CommandMobSpawning {
                                     World world = c.getSource().getWorld();
                                     SpawnerConfig config = world.getSpawnerConfig();
 
-                                    String mobId = EntityDispatcher.getEncodeId(c.getArgument("entity", Class.class));
+                                    NamespaceID mobId = EntityDispatcher.idForClass(c.getArgument("entity", Class.class));
                                     boolean value = c.getArgument("value", Boolean.class);
                                     config.setMobSpawn(mobId, value);
                                     c.getSource().sendTranslatableMessage("command.commands.mobspawning.set", mobId, value);
diff --git a/src/main/java/net/minecraft/core/net/command/helpers/EntitySelectorOptions.java b/src/main/java/net/minecraft/core/net/command/helpers/EntitySelectorOptions.java
index 3f03c2565..10fce3b60 100644
--- a/src/main/java/net/minecraft/core/net/command/helpers/EntitySelectorOptions.java
+++ b/src/main/java/net/minecraft/core/net/command/helpers/EntitySelectorOptions.java
@@ -18,6 +18,7 @@ import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.util.CommandHelper;
 import net.minecraft.core.net.command.util.NbtHelper;
 import net.minecraft.core.player.gamemode.Gamemode;
+import net.minecraft.core.util.collection.NamespaceID;
 import net.minecraft.core.util.helper.LoggedPrintStream;
 
 import java.util.*;
@@ -114,11 +115,14 @@ public class EntitySelectorOptions {
                 }
                 CommandHelper.suggest("!Player", builder);
                 CommandHelper.suggest("Player", builder);
-                for (String key : EntityDispatcher.keyToClassMap.keySet()) {
-                    if (!key.toLowerCase(Locale.ROOT).startsWith(string)) continue;
+                for (NamespaceID key : EntityDispatcher.idToClassMap.keySet()) {
+                    if (!(key.toString().startsWith(string) || (key.namespace.equals("minecraft") && key.value.startsWith(string)))) continue;
                     CommandHelper.suggest("!" + key, builder);
                     if (invert) continue;
-                    CommandHelper.suggest(key, builder);
+                    if (key.namespace.equals("minecraft")) {
+                        CommandHelper.suggest(key.value, builder);
+                    }
+                    CommandHelper.suggest(key.toString(), builder);
                 }
                 return builder.buildFuture();
             });
@@ -130,12 +134,24 @@ public class EntitySelectorOptions {
             if (invert) {
                 parser.setTypeInverse(true);
             }
-            String type = parser.getReader().readUnquotedString();
+
+            StringBuilder builder = new StringBuilder();
+            while (parser.getReader().canRead()) {
+                char peak = parser.getReader().peek();
+                if (peak != ':' && !StringReader.isAllowedInUnquotedString(peak)) {
+                    break;
+                }
+                builder.append(parser.getReader().read());
+            }
+            String type = builder.toString();
+
             if (type.equals("Player")) {
                 parser.setLimitToType(Player.class);
             } else {
-                if (EntityDispatcher.keyToClassMap.containsKey(type)) {
-                    parser.setLimitToType(EntityDispatcher.keyToClassMap.get(type));
+                if (EntityDispatcher.classForId(type) != null) {
+                    parser.setLimitToType(EntityDispatcher.classForId(type));
+                } else if (EntityDispatcher.classForId("minecraft:" + type) != null) {
+                    parser.setLimitToType(EntityDispatcher.classForId("minecraft:" + type));
                 } else {
                     parser.getReader().setCursor(cursor);
                     throw UNKNOWN_ENTITY_TYPE.createWithContext(parser.getReader(), type);
diff --git a/src/main/java/net/minecraft/core/net/command/helpers/ItemStackArgumentParser.java b/src/main/java/net/minecraft/core/net/command/helpers/ItemStackArgumentParser.java
index c1ee9cf69..e54c86d42 100644
--- a/src/main/java/net/minecraft/core/net/command/helpers/ItemStackArgumentParser.java
+++ b/src/main/java/net/minecraft/core/net/command/helpers/ItemStackArgumentParser.java
@@ -11,7 +11,6 @@ import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.util.CommandHelper;
 
-import java.util.Locale;
 import java.util.concurrent.CompletableFuture;
 import java.util.function.Consumer;
 
diff --git a/src/main/java/net/minecraft/core/net/command/util/CommandHelper.java b/src/main/java/net/minecraft/core/net/command/util/CommandHelper.java
index 5c9fefbaf..d06f75197 100644
--- a/src/main/java/net/minecraft/core/net/command/util/CommandHelper.java
+++ b/src/main/java/net/minecraft/core/net/command/util/CommandHelper.java
@@ -8,13 +8,9 @@ import com.mojang.nbt.Tag;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.EntityDispatcher;
-import net.minecraft.core.entity.EntityItem;
-import net.minecraft.core.entity.Mob;
 import net.minecraft.core.net.command.CommandSource;
 import net.minecraft.core.net.command.helpers.IntegerCoordinates;
 import net.minecraft.core.util.collection.NamespaceID;
-import net.minecraft.core.util.helper.LoggedPrintStream;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.WorldSource;
 import net.minecraft.core.world.generate.feature.WorldFeature;
@@ -101,14 +97,7 @@ public class CommandHelper {
     }
 
     public static String getEntityName(Entity entity) {
-        if (entity instanceof Mob) {
-            if (!LoggedPrintStream.removeColorCodes(((Mob) entity).getDisplayName()).isEmpty()) {
-                return LoggedPrintStream.removeColorCodes(((Mob) entity).getDisplayName());
-            }
-        } else if (entity instanceof EntityItem && ((EntityItem) entity).item != null) {
-            return LoggedPrintStream.removeColorCodes(((EntityItem) entity).item.getDisplayName());
-        }
-        return EntityDispatcher.getEncodeId(entity);
+        return Entity.getNameFromEntity(entity, true);
     }
 
     public static int getVolume(CommandSource source, IntegerCoordinates first, IntegerCoordinates second) throws CommandSyntaxException {
diff --git a/src/main/java/net/minecraft/core/net/command/util/CommandReflectionHelper.java b/src/main/java/net/minecraft/core/net/command/util/CommandReflectionHelper.java
index 00ba01ef8..b866ddcd8 100644
--- a/src/main/java/net/minecraft/core/net/command/util/CommandReflectionHelper.java
+++ b/src/main/java/net/minecraft/core/net/command/util/CommandReflectionHelper.java
@@ -13,9 +13,8 @@ import java.util.zip.ZipFile;
 
 public class CommandReflectionHelper {
     public static List<Class<?>> getAllClasses(Condition<String> classNameCondition) {
-        String[] classPathEntries;
-        ArrayList classes = new ArrayList();
-        for (String classPathEntry : classPathEntries = System.getProperty("java.class.path").split(";")) {
+        List<Class<?>> classes = new ArrayList<>();
+        for (String classPathEntry : System.getProperty("java.class.path").split(";")) {
             File file = new File(classPathEntry);
             if (file.isDirectory()) {
                 int l = file.getAbsolutePath().length() + 1;
diff --git a/src/main/java/net/minecraft/core/net/packet/AESSendKeyPacket.java b/src/main/java/net/minecraft/core/net/packet/AESSendKeyPacket.java
index 4c7c487a5..935b9d746 100644
--- a/src/main/java/net/minecraft/core/net/packet/AESSendKeyPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/AESSendKeyPacket.java
@@ -7,9 +7,6 @@ import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.IOException;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class AESSendKeyPacket extends Packet
 {
 
diff --git a/src/main/java/net/minecraft/core/net/packet/AddMobPacket.java b/src/main/java/net/minecraft/core/net/packet/AddMobPacket.java
index 6ee96204b..0201ce533 100644
--- a/src/main/java/net/minecraft/core/net/packet/AddMobPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/AddMobPacket.java
@@ -9,10 +9,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 import java.io.*;
 import java.util.List;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, Mob, EntityList, MathHelper,
-//            DataWatcher, PacketHandler
-
 public class AddMobPacket extends Packet
 {
     public int id;
@@ -31,18 +27,18 @@ public class AddMobPacket extends Packet
     {
     }
 
-    public AddMobPacket(Mob entityliving)
+    public AddMobPacket(Mob mob)
     {
-        id = entityliving.id;
-        type = (short) EntityDispatcher.getEntityID(entityliving);
-        x = MathHelper.floor(entityliving.x * 32D);
-        y = MathHelper.floor(entityliving.y * 32D);
-        z = MathHelper.floor(entityliving.z * 32D);
-        yaw = (byte)(int)((entityliving.yRot * 256F) / 360F);
-        pitch = (byte)(int)((entityliving.xRot * 256F) / 360F);
-        metaData = entityliving.getEntityData();
-        nickname = entityliving.nickname;
-        chatColor = entityliving.chatColor;
+        id = mob.id;
+        type = (short) EntityDispatcher.numericIdForClass(mob.getClass());
+        x = MathHelper.floor(mob.x * 32D);
+        y = MathHelper.floor(mob.y * 32D);
+        z = MathHelper.floor(mob.z * 32D);
+        yaw = (byte)(int)((mob.yRot * 256F) / 360F);
+        pitch = (byte)(int)((mob.xRot * 256F) / 360F);
+        metaData = mob.getEntityData();
+        nickname = mob.nickname;
+        chatColor = mob.chatColor;
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/net/packet/AddPaintingPacket.java b/src/main/java/net/minecraft/core/net/packet/AddPaintingPacket.java
index e2ebd5d68..c7bf2744d 100644
--- a/src/main/java/net/minecraft/core/net/packet/AddPaintingPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/AddPaintingPacket.java
@@ -7,9 +7,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, EntityPainting, ArtType, PacketHandler
-
 public class AddPaintingPacket extends Packet
 {
 
diff --git a/src/main/java/net/minecraft/core/net/packet/AddPlayerPacket.java b/src/main/java/net/minecraft/core/net/packet/AddPlayerPacket.java
index 908d73593..38bf0a6a7 100644
--- a/src/main/java/net/minecraft/core/net/packet/AddPlayerPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/AddPlayerPacket.java
@@ -10,10 +10,6 @@ import org.jetbrains.annotations.Nullable;
 import java.io.*;
 import java.util.UUID;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, Player, MathHelper, InventoryPlayer,
-//            ItemStack, PacketHandler
-
 public class AddPlayerPacket extends Packet
 {
 
diff --git a/src/main/java/net/minecraft/core/net/packet/AnimatePacket.java b/src/main/java/net/minecraft/core/net/packet/AnimatePacket.java
index 1a6656f8f..ab15256e4 100644
--- a/src/main/java/net/minecraft/core/net/packet/AnimatePacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/AnimatePacket.java
@@ -5,9 +5,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, Entity, PacketHandler
-
 public class AnimatePacket extends Packet
 {
 
diff --git a/src/main/java/net/minecraft/core/net/packet/BedMessagePacket.java b/src/main/java/net/minecraft/core/net/packet/BedMessagePacket.java
index 5b2efa0b9..45fbfecfc 100644
--- a/src/main/java/net/minecraft/core/net/packet/BedMessagePacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/BedMessagePacket.java
@@ -4,9 +4,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class BedMessagePacket extends Packet
 {
 
diff --git a/src/main/java/net/minecraft/core/net/packet/BlockEventPacket.java b/src/main/java/net/minecraft/core/net/packet/BlockEventPacket.java
index 6924123c4..13c76e2a5 100644
--- a/src/main/java/net/minecraft/core/net/packet/BlockEventPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/BlockEventPacket.java
@@ -4,9 +4,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class BlockEventPacket extends Packet
 {
     public int xLocation;
diff --git a/src/main/java/net/minecraft/core/net/packet/BlockRegionUpdatePacket.java b/src/main/java/net/minecraft/core/net/packet/BlockRegionUpdatePacket.java
index 6c91d1f01..913c4516e 100644
--- a/src/main/java/net/minecraft/core/net/packet/BlockRegionUpdatePacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/BlockRegionUpdatePacket.java
@@ -8,9 +8,6 @@ import java.util.zip.DataFormatException;
 import java.util.zip.Deflater;
 import java.util.zip.Inflater;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class BlockRegionUpdatePacket extends Packet
 {
 
diff --git a/src/main/java/net/minecraft/core/net/packet/BlockUpdatePacket.java b/src/main/java/net/minecraft/core/net/packet/BlockUpdatePacket.java
index bd62caaf4..467672504 100644
--- a/src/main/java/net/minecraft/core/net/packet/BlockUpdatePacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/BlockUpdatePacket.java
@@ -5,9 +5,6 @@ import net.minecraft.core.world.World;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class BlockUpdatePacket extends Packet
 {
     public int xPosition;
diff --git a/src/main/java/net/minecraft/core/net/packet/ChunkBlocksUpdatePacket.java b/src/main/java/net/minecraft/core/net/packet/ChunkBlocksUpdatePacket.java
index 82db24948..cba18abd2 100644
--- a/src/main/java/net/minecraft/core/net/packet/ChunkBlocksUpdatePacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/ChunkBlocksUpdatePacket.java
@@ -6,9 +6,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class ChunkBlocksUpdatePacket extends Packet
 {
 
diff --git a/src/main/java/net/minecraft/core/net/packet/ChunkVisibilityPacket.java b/src/main/java/net/minecraft/core/net/packet/ChunkVisibilityPacket.java
index 2741cbe9c..a853526a2 100644
--- a/src/main/java/net/minecraft/core/net/packet/ChunkVisibilityPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/ChunkVisibilityPacket.java
@@ -4,9 +4,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class ChunkVisibilityPacket extends Packet
 {
     public int chunkX;
diff --git a/src/main/java/net/minecraft/core/net/packet/ContainerAckPacket.java b/src/main/java/net/minecraft/core/net/packet/ContainerAckPacket.java
index 499911949..3c54938e0 100644
--- a/src/main/java/net/minecraft/core/net/packet/ContainerAckPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/ContainerAckPacket.java
@@ -4,9 +4,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class ContainerAckPacket extends Packet
 {
 
diff --git a/src/main/java/net/minecraft/core/net/packet/ContainerClickPacket.java b/src/main/java/net/minecraft/core/net/packet/ContainerClickPacket.java
index d4785fcdb..83ba8e7ff 100644
--- a/src/main/java/net/minecraft/core/net/packet/ContainerClickPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/ContainerClickPacket.java
@@ -6,9 +6,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler, ItemStack
-
 public class ContainerClickPacket extends Packet {
 
 	public ContainerClickPacket() {
diff --git a/src/main/java/net/minecraft/core/net/packet/ContainerClosePacket.java b/src/main/java/net/minecraft/core/net/packet/ContainerClosePacket.java
index d58b8aeb2..0a7177f9b 100644
--- a/src/main/java/net/minecraft/core/net/packet/ContainerClosePacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/ContainerClosePacket.java
@@ -4,9 +4,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class ContainerClosePacket extends Packet
 {
 
diff --git a/src/main/java/net/minecraft/core/net/packet/ContainerOpenPacket.java b/src/main/java/net/minecraft/core/net/packet/ContainerOpenPacket.java
index 88ea5573d..7d93ab1eb 100644
--- a/src/main/java/net/minecraft/core/net/packet/ContainerOpenPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/ContainerOpenPacket.java
@@ -4,9 +4,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class ContainerOpenPacket extends Packet
 {
     public static final int TYPE_GENERIC_CONTAINER = 0;
diff --git a/src/main/java/net/minecraft/core/net/packet/ContainerSetContentPacket.java b/src/main/java/net/minecraft/core/net/packet/ContainerSetContentPacket.java
index 67ad7c452..eea501c1d 100644
--- a/src/main/java/net/minecraft/core/net/packet/ContainerSetContentPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/ContainerSetContentPacket.java
@@ -1,16 +1,12 @@
 package net.minecraft.core.net.packet;
 
 import com.mojang.nbt.CompoundTag;
-import net.minecraft.core.item.Item;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 import java.util.List;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, ItemStack, PacketHandler
-
 public class ContainerSetContentPacket extends Packet
 {
     public int windowId;
diff --git a/src/main/java/net/minecraft/core/net/packet/ContainerSetDataPacket.java b/src/main/java/net/minecraft/core/net/packet/ContainerSetDataPacket.java
index f2fcccc86..b96ad1082 100644
--- a/src/main/java/net/minecraft/core/net/packet/ContainerSetDataPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/ContainerSetDataPacket.java
@@ -4,9 +4,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class ContainerSetDataPacket extends Packet
 {
 
diff --git a/src/main/java/net/minecraft/core/net/packet/ContainerSetSlotPacket.java b/src/main/java/net/minecraft/core/net/packet/ContainerSetSlotPacket.java
index d32a79e9b..3c6d3b013 100644
--- a/src/main/java/net/minecraft/core/net/packet/ContainerSetSlotPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/ContainerSetSlotPacket.java
@@ -6,9 +6,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler, ItemStack
-
 public class ContainerSetSlotPacket extends Packet
 {
 
diff --git a/src/main/java/net/minecraft/core/net/packet/EnitityEventPacket.java b/src/main/java/net/minecraft/core/net/packet/EnitityEventPacket.java
index ec4b04a19..50f9070d9 100644
--- a/src/main/java/net/minecraft/core/net/packet/EnitityEventPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/EnitityEventPacket.java
@@ -4,9 +4,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class EnitityEventPacket extends Packet
 {
 
diff --git a/src/main/java/net/minecraft/core/net/packet/InteractPacket.java b/src/main/java/net/minecraft/core/net/packet/InteractPacket.java
index 03bb57665..e7df42227 100644
--- a/src/main/java/net/minecraft/core/net/packet/InteractPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/InteractPacket.java
@@ -4,9 +4,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class InteractPacket extends Packet
 {
     public static final int ACTION_INTERACT = 0;
diff --git a/src/main/java/net/minecraft/core/net/packet/KeepAlivePacket.java b/src/main/java/net/minecraft/core/net/packet/KeepAlivePacket.java
index 449891ac5..18457b2f8 100644
--- a/src/main/java/net/minecraft/core/net/packet/KeepAlivePacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/KeepAlivePacket.java
@@ -4,9 +4,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class KeepAlivePacket extends Packet
 {
 
diff --git a/src/main/java/net/minecraft/core/net/packet/LoginPacket.java b/src/main/java/net/minecraft/core/net/packet/LoginPacket.java
index 0b07c1fe4..b86470626 100644
--- a/src/main/java/net/minecraft/core/net/packet/LoginPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/LoginPacket.java
@@ -5,9 +5,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 import java.io.*;
 import java.util.UUID;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class LoginPacket extends Packet
 {
     public int playerEntityIdAndProtocolVersion;
diff --git a/src/main/java/net/minecraft/core/net/packet/MapDataPacket.java b/src/main/java/net/minecraft/core/net/packet/MapDataPacket.java
index e7d752ddc..b0ee5176b 100644
--- a/src/main/java/net/minecraft/core/net/packet/MapDataPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/MapDataPacket.java
@@ -22,7 +22,6 @@ public class MapDataPacket extends Packet {
 	public MapDataPacket(short itemId, short meta, byte scale, byte[] mapData, List<MapWaypoint> waypoints) {
 		this.isChunkDataPacket = true;
 		this.itemId = itemId;
-		this.scale = scale;
 		this.meta = meta;
 		this.waypoints = waypoints;
 		this.mapData = mapData;
diff --git a/src/main/java/net/minecraft/core/net/packet/MoveEntityPacket.java b/src/main/java/net/minecraft/core/net/packet/MoveEntityPacket.java
index 2fc7c642b..d5cbee447 100644
--- a/src/main/java/net/minecraft/core/net/packet/MoveEntityPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/MoveEntityPacket.java
@@ -4,9 +4,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class MoveEntityPacket extends Packet
 {
     public int id;
diff --git a/src/main/java/net/minecraft/core/net/packet/MovePlayerPacket.java b/src/main/java/net/minecraft/core/net/packet/MovePlayerPacket.java
index 5bda6e6ed..5aea9dff7 100644
--- a/src/main/java/net/minecraft/core/net/packet/MovePlayerPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/MovePlayerPacket.java
@@ -4,9 +4,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class MovePlayerPacket extends Packet
 {
     public double x;
diff --git a/src/main/java/net/minecraft/core/net/packet/PlaySoundEffectPacket.java b/src/main/java/net/minecraft/core/net/packet/PlaySoundEffectPacket.java
index 90e70ee37..8ad9cb5e3 100644
--- a/src/main/java/net/minecraft/core/net/packet/PlaySoundEffectPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/PlaySoundEffectPacket.java
@@ -4,9 +4,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class PlaySoundEffectPacket extends Packet
 {
 
diff --git a/src/main/java/net/minecraft/core/net/packet/PlayerActionPacket.java b/src/main/java/net/minecraft/core/net/packet/PlayerActionPacket.java
index 49c8368f3..e006a7837 100644
--- a/src/main/java/net/minecraft/core/net/packet/PlayerActionPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/PlayerActionPacket.java
@@ -7,9 +7,6 @@ import java.io.IOException;
 import net.minecraft.core.net.handler.PacketHandler;
 import net.minecraft.core.util.helper.Side;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class PlayerActionPacket extends Packet
 {
     public static final int ACTION_DIG_START = 0;
diff --git a/src/main/java/net/minecraft/core/net/packet/PlayerGamemodePacket.java b/src/main/java/net/minecraft/core/net/packet/PlayerGamemodePacket.java
index c632cc47b..648b70cea 100644
--- a/src/main/java/net/minecraft/core/net/packet/PlayerGamemodePacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/PlayerGamemodePacket.java
@@ -4,9 +4,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, DataWatcher, PacketHandler
-
 public class PlayerGamemodePacket extends Packet
 {
 
